Skip to main content

Suggest Services

Suggest City

The Suggest City endpoint provides predictive autocomplete and search for cities and municipalities, with their postal code and Egon ID.

Endpoint​

POSThttps://{host}:{port}/Egon/api/suggest/city

Headers & authentication​

Required request headers and their expected values.

FieldTypeDescription
tokenreq
String

Authentication token sent in the token request header.

Request​

Processing options, country context, and city search query.

FieldTypeDescription
parreq
Object

Processing parameters, candidate limits, and country context

iso2
String

Country code, ISO 3166-1 alpha-2.

One of iso2 or iso3 is required.

iso3
String

Country code, ISO 3166-1 alpha-3.

One of iso2 or iso3 is required.

max_candidates
Number

Maximum number of candidates to extract

Default value: 10

datareq
Object

Territorial search container with parent identifier filter

queryreq
String

Query string

restrict_id
Number

ID of the territorial level. Used for filtering the research by a certain territorial level

Response​

Matching city candidates, administrative hierarchy, and system status.

FieldTypeDescription
data
Object
results
Array

Array of candidate matches returned by the suggestion engine

iso3
String

Country code ISO 3166-1 alpha-3

lngout
String

Language code ISO 3166-1 numeric

country
String

Country name

country_id
Number

ID of the country

state
String

State name

state_code
String

State code

state_id
Number

ID of the state

region
String

Region name

region_code
String

Region code

region_id
Number

ID of the region

province
String

Province name

province_code
String

Province code

province_id
Number

ID of the province

city
String

City name

city_id
Number

ID of the city

zipcode
String

Postal code

system
Object

System error and execution status

ret_code
Number

Code: 0 no blocking error, <> 0 blocking error code

des_ret_code
String

Description

Request Example
curl -X POST "https://{host}:{port}/Egon/api/suggest/city" \
-H "token: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"par": {
"iso3": "ITA"
},
"data": {
"query": "Roveredo"
}
}'